CGenericIter.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/routines/pbori_algo.h>`
`#include "CStackSelector.h"`
`#include "CTermIter.h"`
`#include "CTermGenerator.h"`

Go to the source code of this file.

## Classes

struct | polybori::pbori_base< CGenericIter< OrderType, NaviType, RefType > >
class | polybori::CGenericIter< OrderType, NavigatorType, MonomType >
struct | polybori::pbori_base< CReverseIter< OrderType, NaviType, RefType > >
class | polybori::CReverseIter< OrderType, NavigatorType, MonomType >

## Namespaces

| polybori

## Constant Groups

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-09-06

This file defines a degree lexicographic iterator.

Copyright:
  (c) 2006 by The PolyBoRi Team